var scriptName = "Death msgs"; 
var scriptVersion = 1.0; 
var scriptAuthor = "soulplexis";

var highJump = new HighJump();
var highJumpClient;

function HighJump() {
    this.getName = function() {
        return "!";
    };

    this.getDescription = function() {
        return "Shows death messages of targets and counts your kills.";
    };

    this.getCategory = function() {
        return "Misc";
    };

    this.onUpdate = function () {
		if (target != null) {
			if (target.isDead) {
				chat.print(target.getName() + " was slain by " + mc.thePlayer.getName());
				target = null;
			}
		}
	}
	this.onAttack = function (event) {
		target = event.getTargetEntity();
	}
var target;
    this.onDisable = function() {
    }
}

function onLoad() {
};

function onEnable() {
    highJumpClient = moduleManager.registerModule(highJump);
};

function onDisable() {
    moduleManager.unregisterModule(highJumpClient);
};